[arch-commits] Commit in giflib/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jul 18 17:37:49 EDT 2008


    Date: Friday, July 18, 2008 @ 17:37:49
  Author: jgc
Revision: 5582

upgpkg: giflib 4.1.6-2

Added:
  giflib/trunk/PKGBUILD

----------+
 PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-07-18 21:37:49 UTC (rev 5582)
@@ -0,0 +1,34 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Baptiste Daroussin <baptiste.daroussin at gmail.com>
+# Contributor: Grigorios Bouzakis <grbzks[at]gmail[dot]com>
+# Contributor: mightyjaym <jm.ambrosino at free.fr>
+
+pkgname=giflib
+pkgver=4.1.6
+pkgrel=2
+pkgdesc="A library for reading and writing gif images"
+url="http://sourceforge.net/projects/giflib/"
+arch=('i686' 'x86_64')
+license=('MIT')
+depends=('libx11' 'libsm')
+provides=("libungif=${pkgver}")
+conflicts=('libungif')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/giflib/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('7125644155ae6ad33dbc9fc15a14735f')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+
+  # libungif compatibility - instructions taken from Redhat specfile
+  MAJOR=`echo ${pkgver} | sed 's/\([0-9]\+\)\..*/\1/'`
+  gcc -shared -Wl,-soname,libungif.so.${MAJOR} -Llib/.libs -lgif -o libungif.so.${pkgver} || return 1
+  install -m755 libungif.so.${pkgver} ${pkgdir}/usr/lib/ || return 1
+  ln -sf libungif.so.${pkgver} ${pkgdir}/usr/lib/libungif.so.4 || return 1
+  ln -sf libungif.so.4 ${pkgdir}/usr/lib/libungif.so || return 1
+}





More information about the arch-commits mailing list